{% extends "base.html" %}
{% load i18n %}
{% load static from staticfiles %}
{% load url from future %}

{% block title %}
    {{ block.super }} Displays all calendars
{% endblock %}

{% block content %}

    <p>
    <ul>
    <li> {{ accounting.count_cal }} calendars</li>
    {% for key,val in  accounting.by_proto.items %}
    <li> {{ key }}:  {{ val }} calendars</li>
    {% endfor %}

    </ul>
    </p>

    <table cellpadding="0" cellspacing="0" border="1" class="display" id="calendarTable">
        <thead>
        <tr>
            <th>Title</th>
            <th>Organism</th>
            <th>Url to Desc</th>
            <th>URL to collect</th>
            <th>Parser</th>
        </tr>
        </thead>
        <tbody>

        {% for cal in calendar_list %}
            <tr>
                <td>
                    <a href="{% url 'calendar_detail' cal.pk %}">{{ cal.title|safe }}</a>
                </td>
                <td>
                    {% for org in cal.org.all %}
                        <a href="{% url 'organisation_detail' org.ref %}">{{ org|safe }}<br></a>
                    {% endfor %}
                </td>
                <td>
                    <a href="{{ cal.url_to_desc }}">{{ cal.url_to_desc }}</a>
                </td>
                <td>
                    {{ cal.url_to_parse }}
                </td>
                <td>
                    {{ cal.get_parse_display }}
                </td>
            </tr>
        {% endfor %}
        </tbody>
    </table>

{% endblock %}


{% block css %}
    {% comment %}
    {{ block.super }}
{% endcomment %}
    <style media="screen" type="text/css">

        tbody th, tbody td {
            word-wrap: break-word;
        }

    </style>
{{ block.super }}
    <!-- extension jquery pour les tableaux -->
    <link rel="stylesheet" type="text/css" href="{% static 'js/DataTables-1.8.2/media/css/demo_table.css' %}"/>
{% endblock %}


{% block controleur_js %}
    {{ block.super }}
    <!-- extension jquery pour les tableaux -->
    <script src="{% static 'js/DataTables-1.8.2/media/js/jquery.dataTables.js' %}"></script>
    <script src="{% static 'js/subscription.js' %}"></script>

    <script type="text/javascript">
        $(document).ready(function () {

            $('#calendarTable').dataTable({
                "aaSorting": [
                    [ 1, "asc" ]
                ],
                "bPaginate": false
            });
        });
    </script>

{% endblock %}
